CREATE TABLE hrc_evt_construction_methods (
    CONSTRUCTION_METHOD_ID    NUMBER(18, 0) ,
    EVENT_DEFINITION_ID       NUMBER(18, 0)     NOT NULL,
    SOURCE_OBJECT_ID          NUMBER(18, 0)     NOT NULL,
    PLSQL_PROCEDURE           VARCHAR2(320) ,
    PUBLISHED_EVENT_NAME      VARCHAR2(320)     NOT NULL,
    EDL_NAMESPACE             VARCHAR2(960)     NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SGUID                     VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRUCTION_METHOD_ID    NUMBER(18, 0) ,
    EVENT_DEFINITION_ID       NUMBER(18, 0)     NOT NULL,
    SOURCE_OBJECT_ID          NUMBER(18, 0)     NOT NULL,
    PLSQL_PROCEDURE           VARCHAR2(320) ,
    PUBLISHED_EVENT_NAME      VARCHAR2(320)     NOT NULL,
    EDL_NAMESPACE             VARCHAR2(960)     NOT NULL,
    MODULE_ID                 VARCHAR2(128) ,
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SGUID                     VARCHAR2(128) ,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_evt_construction_methods PRIMARY KEY (CONSTRUCTION_METHOD_ID, CONSTRUCTION_METHOD_ID)
);
